.\" $FreeBSD: src/gnu/usr.bin/cc/f77/f77.1,v 1.1.4.2 1999/09/05 11:06:21 peter Exp $
.\"
.Dd July 22, 1995
.Dt F77 1
.Os FreeBSD
.Sh NAME
.Nm f77
.Nd FORTRAN compiler driver
.Sh SYNOPSIS
.Nm f77
.Op options | files
.Sh DESCRIPTION
.Nm f77
is a simple driver for the FORTRAN compilation process under FreeBSD.
.Pp
.Nm f77
calls the FORTRAN to C translator 
.Nm f2c
to translate the FORTRAN source to C. Then it calls 
.Nm cc
to compile the resulting C code and 
.Nm as
to assemble it. After this stage it may call
.Nm ld
to link the resulting object files together with the
.Nm f2c
library
.Nm libf2c
, the 
.Nm math
library
.Nm libm
and other user specified libraries into an executable. Files ending in other
suffixes than .f (.o, .c, ...) are also accepted in the commandline and will
processed by the appropriate program.
.Pp
From the user side of view this FORTRAN to C translation is completely
transparent - 
.Nm f77
looks like a traditional FORTRAN compiler.
.Pp
Available options:
.Pp
The options that
.Nm f77
recognizes are a superset of the
.Nm f2c
and the
.Nm cc
options - please refer to their manpages for more details.
.Pp
.Sh FILES
file.f	FORTRAN source file
.Pp
file.o	object file
.Pp
a.out	link edited output
.Pp
/usr/lib/libf2c.a	f2c library (contains libF77 and libI77)
.Pp
/usr/lib/libf2c.so.x.y	shared f2c library
.Pp
.Sh SEE ALSO
.Xr as 1 ,
.Xr cc 1 ,
.Xr f2c 1 ,
.Xr ld 1
.Sh BUGS
The input file must end in .f - for instance .for will give problems.
